/* Included font to ensure browser compatibilty. */
@font-face {
    font-family: 'IM Fell English SC';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(im-fell-english-sc.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* Type Elements. */
:root {
    font-family: 'IM Fell English SC', serif;
    --pad: 2px;
}

* {
    text-shadow: 0.5px 0.5px 1px #ff0000, 0 0 0.2em #00ff00, 0 0 0.1em #ffffff;
}

html {
    background-color: transparent;
}

h1 {
    font-size: xx-large;
    color: darkgoldenrod;
    margin: 0;
    padding: 4px 0 0 20px;
}

h1, small, i, sup, sub {
    /*text-shadow: 0.5px 0.5px 1px #ff0000, 0 0 0.2em #00ff00, 0 0 0.1em #39ff00;*/
    text-shadow: 0.5px 0.5px 1px #ff0000, 0 0 0.2em #00ff00, 0 0 0.1em #ffffff;
}

    h1 i {
        text-shadow: 0.5px 0.5px 1px #ff0000, 0 0 0.01em #00ff00, 0 0 0.1em #000000;
    }

h4 {
    margin: 0;
    padding: 0;
}

nav {
    background-color: #000000bb;
    border-radius: 5px;
    border: 1px ridge silver;
    box-shadow: #000000cc 1px 1px 1px 0.09px;
}

    nav > ul {
        display: inline-flex;
        width: calc(100% - var(--pad));
        justify-content: space-evenly;
        list-style: none;
        margin: 0;
        padding: 0;
    }

        nav > ul > li > a {
            border-radius: 6px;
            padding: 0 4px;
            text-decoration: none;
            /*background-color: #0bf8b7;*/
        }

main {
    padding-top: 6em;
    text-align: center;
}

a:link {
    color: #fff;
    text-shadow: 2px 2px 4px #000000, 0 0 0.01em #000000, 0 0 0.1em #000000;
}

a:active {
    color: #ff0000;
}

a:visited {
    color: #00ff01;
}

a:hover {
    opacity: 0.9;
}

h3 {
    text-align: left;
    margin-left: 10px;
}

p {
    padding: 0 20px;
}

footer {
    padding-bottom: 20px;
}

article {
    border: 0.5px ridge grey;
    border-right: none;
    border-left: none;
    border-radius: 0 0 2px 2px;
}

    article footer {
        text-align: right;
    }

        article footer > p {
            text-shadow: 0.5px 0.5px 1px #f00, 0 0 0.1em #f6db39;
        }

.banner > p {
    text-align: center;
    margin: 4px auto;
}

.img-logo {
    margin: 0 0 -24px 0;
    width: 64px;
    transform: scale(1.2);
    border-radius: 25%;
    border: 1px ridge silver;
    box-shadow: #000000cc 1px 1px 1px 0.09px;
}

.global-header {
    z-index: 10;
    background-color: #dddddd;
    position: fixed;
    top: 4px;
    left: 4px;
    right: 4px;
}

.clean-list {
    display: inline-flex;
    list-style: none;
}

.visuallyhidden {
    display: none;
    visibility: collapse;
}

.crosslinks {
    text-align: center;
}

.d-container {
    background-color: #FFFFFF90;
    border-radius: 5px;
}

.split {
    margin: 110px 0 10px;
    border: 0.5px ridge grey;
    border-radius: 8px;
    width: 80%;
    float: left;
}

.split-side {
    margin-top: 130px;
    text-align: left;
    padding: 0 8px;
    width: fit-content;
    float: right;
}

.global-footer {
    clear: both;
    margin: 0 16px;
}

.image-group {
    display: flex;
    justify-content: space-evenly;
}

.space-evenly {
    display: flex;
    justify-content: space-evenly;
}

.split-side > ul {
    display: block;
}

.crosslinks.split-side a {
    font-size: medium;
}

.crosslinks.split-side li {
    margin-bottom: 10px;
    margin-left: -30px;
}

.crosslinks.split-side a::before {
    content: "🔗";
}

.crosslinks.split-side:nth-child(3) p {
    margin: 0;
    padding: 0;
}

#accessibility-menu {
    position: fixed;
    bottom: 44px;
    right: 8px;
    z-index: 3;
    width: fit-content;
    border-radius: 5px;
    border: 1px groove #9b7201;
    list-style: none;
    list-style-position: inside;
    padding-bottom: 8px;
    background-color: #eeeeeedd;
    color: #000;
}

    #accessibility-menu > li {
        margin: 2px 8px 0 -30px;
    }

#accessibility-menu-btn {
    box-shadow: 1px 1px 1px grey;
    position: fixed;
    bottom: 10px;
    right: 8px;
    z-index: 3;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    transition: all 0.3s ease-in;
}

    #accessibility-menu-btn:hover {
        transform: scale(1.2);
    }

#copyright {
    border-radius: 8px;
    background-color: #fff;
    position: fixed;
    bottom: -12px;
    left: 8px;
    text-shadow: 0.5px 0.5px 1px #ff0000, 0 0 0.1em #00ff00, 0 0 0.1em #39ff00;
}

#github-link {
    width: fit-content;
    height: 48px;
}

    #github-link:hover {
        transform: scale(1.2);
    }

#google-play-link {
    width: fit-content;
    height: 48px;
}

    #google-play-link:hover {
        transform: scale(1.2);
    }

#mobile-nav-menu {
    margin-top: -8px;
    margin-right: -8px;
    border-radius: 50%;
    width: 3rem;
    display: none;
    /* box-shadow: #000000cc 0.5px 0.5px 0.5px 0.09px;*/
}

    #mobile-nav-menu:hover {
        transform: scale(0.96);
        transform: rotate(4deg);
        /* box-shadow: #000000cc 2px 2px 1px 0.12px;*/
    }

#image-window {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    width: fit-content;
    height: fit-content;
    z-index: 12;
    margin: 2px auto 0;
    border: 2px groove silver;
    border-radius: 8px;
}

/* high-contrast (Dark-Mode: Switched) */
.high-contrast #copyright {
    background-color: #fff;
    color: #000;
}

.high-contrast body, .high-contrast div {
    background-color: #000;
}

.high-contrast a, .high-contrast li, .high-contrast p {
    color: #fff;
    text-shadow: 0.5px 0.5px 1px #ff0000ee, 0 0 0.1em blue;
}

.high-contrast #accessibility-menu > li {
    color: #000;
}

.high-contrast sup, .high-contrast small {
    text-shadow: 0.5px 0.5px 1px #000000, 0 0 0.01em #000000, 0 0 0.1em #000000;
}

.high-contrast h2 {
    color: #39ff00;
    text-shadow: 0.5px 0.5px 1px #ff0000ee, 0 0 0.1em blue;
}

.high-contrast a {
    background-color: #000;
    color: #fcff3c;
    text-shadow: 0.5px 0.5px 1px #ff0000, 0 0 0.01em #0000ff, 0 0 0.1em #000000;
}

    .high-contrast a:link {
        color: #fcff3c;
        text-shadow: 0.5px 0.5px 1px #ff0000ee, 0 0 0.1em blue, 0 0 0.1em blue;
    }

    .high-contrast a:active {
        color: #ff0000;
    }

    .high-contrast a:visited {
        color: #00ff00;
    }

.high-contrast .split-side > h4 > sub, .high-contrast .split-side a > sup, .high-contrast time {
    color: #fcff3c;
    text-shadow: 0.5px 0.5px 1px #ff0000, 0 0 0.01em #0000ff, 0 0 0.1em #000000;
}

.high-contrast .split-side > p, .high-contrast .split-side p > sup {
    color: #fff;
    text-shadow: 0.5px 0.5px 0.5px #000000, 0 0 0.01em #000000, 0 0 0.1em #000000;
}

.greg {
    font-family: 'IM Fell English SC', serif;
    color: #752929;
    text-align: center;
    font-size: smaller;
    margin: 20px -20px 0;
}

.policy {
    margin-top: 20px;
}

    .policy > a {
        text-decoration: none;
        padding: 0 5px 0 5px;
    }

    .policy > small {
        font-size: 12px;
        line-height: 1;
    }


@media (prefers-color-scheme: dark) {
    #copyright {
        background-color: #fff;
        color: #000;
    }

    body, div {
        background-color: #000;
    }

    a, li, p {
        color: #fff;
        text-shadow: 0.5px 0.5px 1px #ff0000ee, 0 0 0.1em blue;
    }

    #accessibility-menu > li {
        color: #000;
    }

    h2 {
        color: #39ff00;
        text-shadow: 0.5px 0.5px 1px #ff0000ee, 0 0 0.1em blue;
    }

    a {
        background-color: #000;
        color: #fcff3c;
        text-shadow: 0.5px 0.5px 1px #ff0000, 0 0 0.01em #0000ff, 0 0 0.1em #000000;
    }

        a:link {
            color: #fcff3c;
            text-shadow: 0.5px 0.5px 1px #ff0000ee, 0 0 0.1em blue, 0 0 0.1em blue;
        }

        a:active {
            color: #ff0000;
        }

        a:visited {
            color: #00ff00;
        }

    .split-side > h4 > sub, .split-side a > sup, time {
        color: #fcff3c;
        text-shadow: 0.5px 0.5px 1px #ff0000, 0 0 0.01em #0000ff, 0 0 0.1em #000000;
    }

    .split-side > p, .split-side p > sup {
        color: #fff;
        text-shadow: 0.5px 0.5px 0.5px #000000, 0 0 0.01em #000000, 0 0 0.1em #000000;
    }
}

@media screen and (max-width:900px) {
    .image-group {
        display: unset;
    }

    #mobile-nav-menu {
        display: unset;
        position: absolute;
        top: 30px;
        right: 8px;
        z-index: 11;
    }

    nav > ul {
        background-color: #000;
        display: none;
        width: fit-content;
        border: 1px ridge silver;
        border-radius: 8px;
        justify-content: space-evenly;
        list-style: none;
        margin: 0;
        padding: 8px;
        position: absolute;
        top: 65px;
        right: 0;
        z-index: 11;
    }

    .split {
        width: fit-content;
        margin: 0 auto;
        float: none;
    }

    .split-side {
        margin: 30px auto 0 10px;
        float: none;
    }
}

.home {
    margin: 4px;
}

.all {
    background-color: #cfcfcf;
}

.repos {
    height: 60px;
    cursor: pointer;
    width: fit-content;
    margin: 0 6px;
}

.mygames iframe {
    min-width: 100%;
    min-height: 90px;
    align-self: center;
    align-content: center;
    align-items: center;
    object-fit: contain;
    object-position: center;
}

.mygames .gamess {
    min-height: 512px;
    border: none;
    contain-intrinsic-height: auto;
    min-width: 100%;
    margin: 0 0;
    padding: 0 0;
    object-fit: contain;
    object-position: center;
    align-self: center;
    align-content: center;
    align-items: center;
}

.mygames .gamebody {
    min-height: 512px;
    align-self: center;
    /*background: url('https://toremetal.github.io/img/gamebackground/b1.jpg') no-repeat center;*/
    background-size: 776px 100%;
    align-content: center;
    align-items: center;
    border-radius: 10px;
}

.mygames .lost {
    height: 512px;
    width: 100%;
    background: url('https://toremetal.github.io/img/gamebackground/explosion.gif') no-repeat center;
    background-size: 512px 100%;
    align-content: center;
    align-items: center;
}

.mygames .won {
    height: 512px;
    width: 100%;
    background: url('https://toremetal.github.io/img/gamebackground/cheers1.jpg') no-repeat center;
    background-size: 512px 100%;
    align-content: center;
    align-items: center;
    border-radius: 10px;
}

.gamebody table {
    font-family: arial, sans-serif;
    border-collapse: collapse;
    width: 100%;
    max-width: 776px;
    opacity: 0.9;
    margin: auto;
}

.gamebody td, th {
    border: 1px solid red; /*#dddddd;*/
    text-align: left;
    padding: initial;
    width: auto;
    opacity: 0.9;
}

@media screen and (max-width: 836px) {
    .gamebody td, th {
        padding: initial;
        margin: auto;
        width: 776px;
    }
}

.gamebody tr:nth-child(even) {
    /*background-color: #dddddd;*/
    opacity: 0.9;
}
/* The Modal (background) */
.gamebody .modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.gamebody .modal-content {
    background-color: #fefefe;
    margin: auto;
    margin-top: 100px;
    padding: 20px;
    border: 1px solid #888;
    width: 320px;
}

/* The Close Button */
.gamebody .close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

    .gamebody .close:hover,
    .gamebody .close:focus {
        color: #000;
        text-decoration: none;
        cursor: pointer;
    }
/* Popup container - can be anything you want */
.gamebody .popup {
    position: relative;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    /* The actual popup */
    .gamebody .popup .popuptext {
        visibility: hidden;
        width: 200px;
        background-color: #555;
        color: red;
        font-size: 24px;
        text-align: center;
        border-radius: 6px;
        padding: 14px 0;
        position: absolute;
        z-index: 1;
    }

        /* Popup arrow */
        .gamebody .popup .popuptext::after {
            content: "";
            position: absolute;
            margin-left: -5px;
            border-width: 5px;
            border-style: solid;
            border-color: #555 transparent transparent transparent;
        }

    /* Toggle this class - hide and show the popup */
    .gamebody .popup .show {
        visibility: visible;
        /*-webkit-animation: fadeIn 1s;*/
        /*animation: fadeIn 1s;*/
        -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
        animation: fadein 0.5s, fadeout 0.5s 2.5s;
    }

/* Add animation (fade in the popup) */
@-webkit-keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@-webkit-keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}

@keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}

.mygames button {
    color: red;
    border-radius: 6px;
    text-shadow: rgba(0,0,0,0.4) 1px 1px 2px;
    font-size: medium;
}

    .mygames button:hover {
        opacity: 0.9;
        text-shadow: rgba(0,0,0,0.09) 1px 1px 2px;
    }

.chrome-border {
    border-radius: 10px;
    box-sizing: border-box;
    /*box-shadow: 1px 2px 5px rgba(0,0,0,.31);
            border: 1px solid rgb(177, 176, 176);*/
    border: 1px ridge silver;
    box-shadow: #000000cc 1px 1px 1px 0.09px;
}

.wrap {
    margin: 0 16px;
}

a:hover {
    color: red;
}

.high-contrast a:hover {
    color: red;
}